# dask.array.arange

dask.array.arange(*args, chunks='auto', like=None, dtype=None, **kwargs)

  Return evenly spaced values from start to stop with step size step.

  The values are half-open [start, stop), so including start and excluding stop. This is basically the same as python’s range function but for dask arrays.

  When using a non-integer step, such as 0.1, the results will often not be consistent. It is better to use linspace for these cases.

  Parameters:
    start int, optional

      The starting value of the sequence. The default is 0.

    stop int

      The end of the interval, this value is excluded from the interval.

    step int, optional

      The spacing between the values. The default is 1 when not specified. The last value of the sequence.

    chunks int

      The number of samples on each block. Note that the last block will have fewer samples if `len(array) % chunks != 0`. Defaults to “auto” which will automatically determine chunk sizes.

    dtype numpy.dtype

      Output dtype. Omit to infer it from start, stop, step Defaults to `None`.

    like array type or `None`

      Array to extract meta from. Defaults to `None`.

  Returns:
    samples dask array

  See also

  `dask.array.linspace`